China factories

Decorative Paper Origami Table Lamp Nightlight Customized

Price: 5 Get Latest Price
  • Brand Name: No Brand
  • Model Number: S-02
  • Minimum Order Quantity: 500
  • Delivery Time: 15 work days
  • view more

Hose Pen Holder Desk Lamp Home Special Gift Nordic LED Table Lamp Usb Battery Book Light Study Table Lamp for Dorm

Price: Good price Get Latest Price
  • Brand Name: DY
  • Model Number: NO.2688
  • Minimum Order Quantity: 1 Carton
  • Delivery Time: 5days
  • view more

18650 Lithium Battery Pack Massager Toy Car Fan Table Lamp Rechargeable Battery

Price: Contact us Get Latest Price
  • Brand Name: FBFUBANG INT'L
  • Model Number: FBC-14.4-4400
  • Minimum Order Quantity: 1 unit
  • Delivery Time: 7-45days
  • view more

E26 110V Metal Bedside Table Lamp Creative Unique For Residential

Price: Negotiation Get Latest Price
  • Brand Name: HEKEYLT
  • Model Number: HEKEYLT-2501
  • Minimum Order Quantity: 1PCS
  • Delivery Time: 15 days after received the advance payment
  • view more

Nordic Origami Bedside Lamp Pleated Umbrella Table Light Vintage Minimal Lamps

Price: Negotiable(very competitive) Get Latest Price
  • Brand Name: GRH
  • Model Number: GRH-E001,GRH-RFC1004,GRH-RFC1005,GRH-RFC1011
  • Minimum Order Quantity: 1000 PCS
  • Delivery Time: 20 days to 50 days after received the deposit.
  • view more

Rechargeable Portable Table Lamp with 2700K Warm White LED and APP Control

Price: $11-15.50 Get Latest Price
  • Brand Name: VALED
  • Model Number: C9-S-BT
  • Minimum Order Quantity: 1
  • Delivery Time: Negotiable
  • view more

Portable Rechargeable Wireless Marble Base Table Lamp Home Decor Cordless Touch Dimming Desk Light for Restaurant Hotel Bedroom

Price: Factory price/Genuine retail price Get Latest Price
  • Brand Name: ZSHONORHIGH, SIDEREAL
  • Model Number: ABM-0145
  • Minimum Order Quantity: 100 set/<100set
  • Delivery Time: 7-15days
  • view more

Italian Kartell Battery Desk Lamp USB Touch Sensor Bar Light Decor Restaurant Table Lamps(WH-MTB-249)

Price: Negotiable Get Latest Price
  • Brand Name: Well House
  • Model Number: WH-MTB-249
  • Minimum Order Quantity: Negotiable
  • Delivery Time: Negotiable
  • view more

Gold Silver Black Aluminium LED Cordless Restaurant Table Lamp with 180LM Luminous Flux

Price: $6.95/pieces 500-999 pieces Get Latest Price
  • Brand Name: Sunshining
  • Model Number: SL-T002-A
  • Minimum Order Quantity: 500 pieces
  • Delivery Time: Negotiable
  • view more

1S LiPo Batteries 3.7V 380mAh Rechargeable Li-polymer Battery 861632 for Table Lamp

Price: 0.8-1.5USD/PCS Get Latest Price
  • Brand Name: UNEMETECH
  • Model Number: UNM861632
  • Minimum Order Quantity: 5000PCS
  • Delivery Time: 7-35 days
  • view more

CE Christmas Tree Crystal Table Lamp 5x6cm Candle Crystal Bedside Lamps

Price: Negotiable Get Latest Price
  • Brand Name: QiFan
  • Model Number: SJD-05
  • Minimum Order Quantity: 300pcs
  • Delivery Time: 15days
  • view more

Durable alloy metal balancing base Led Rechargeable Table Lamp for Students Reading

Price: Negotiable Get Latest Price
  • Brand Name: TAC
  • Model Number: 3.0V/3.2V/3.7V/7.4V/12.8V
  • Minimum Order Quantity: 200pcs
  • Delivery Time: Negotiable
  • view more

Industrial Style LED Table Lamp with 30000 Hours Lifespan Touch Control and Type-C Charging for Outdoor Camping

Price: 8.69usd/piece Get Latest Price
  • Brand Name: OEM
  • Model Number: CR-LTL-001
  • Minimum Order Quantity: 10 pieces
  • Delivery Time: 7-10work days
  • view more

USB TYPE C Charging Electric Candle Warmer Lamp Luxury Fragrance Scented Candle Table Lamp

Price: USD 12-15/pcs Get Latest Price
  • Brand Name: OEM/ODM
  • Model Number: QZXY001
  • Minimum Order Quantity: 100pcs
  • Delivery Time: 15-20 working days for customized
  • view more

Modern Design Copper Body Table Lamp with 2700K Warm White LED Light for Living Room and Bedroom

Price: CN¥1,375.46-2,063.22 Get Latest Price
  • Brand Name: YH
  • Model Number: YH-1271758
  • Minimum Order Quantity: 1
  • Delivery Time: Negotiable
  • view more

Solar Garden Table Lamp with Cross-Woven Shade, 5000mAh Battery, and IP65+ Protection for Patio Styling

Price: Negotiable Get Latest Price
  • Brand Name: MEITU
  • Model Number: SXT0234-68M
  • Minimum Order Quantity: 50
  • Delivery Time: 35DAYS
  • view more

Three Dimming LED Folding Table Lamp 5W Portable Table Light With Cosmetic Mirror

Price: $5.9 Get Latest Price
  • Brand Name: JMKMGL
  • Model Number: JMK-L02
  • Minimum Order Quantity: 2
  • Delivery Time: Depends on QTY
  • view more

Promotional IP54 LED Flexible Book Light , Mini Single LED Reading Table Lamp

Price: Negotiation Get Latest Price
  • Brand Name: Pinbo
  • Model Number: PT91492
  • Minimum Order Quantity: 3,000pcs
  • Delivery Time: 25 days after received your payment
  • view more

Fast Charging Wireless Bedside Night Light 15W ABS LED Battery Phone Headset Alarm Clock Table Lamp Gift Compact

Price: Get Latest Price
  • Brand Name: ZS
  • Model Number: ZS018
  • Minimum Order Quantity: 2
  • Delivery Time: 3-7
  • view more